
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>shell字符串截取之cut / 憋错料</title>

    <meta name="description" content="shell字符串截取之cut cut命令是shell下一个比较强大的工具,它是以每一行为一个处理对象的,可以对一行字符串进行多种模式匹配的剪切操作,也可以对一个排列整齐的文本进行操作,下面我们就来说说cut这个命令吧: cut命令主要有3个定位方法: (1)对字节的定位,用 -b 选项 (2)对字符的定位,用 -c 选项 ( 3 ) 域,用选型 -f 下面我们来看看具体的实现: 我们来一一说一下上面的现象: 我们先用pwd命令看一下我们的当前的路径.然后我们想提取当前路径这个字符串的第4个字节,就用上图所示的这条命令: pw">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">shell字符串截取之cut</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>cut命令是shell下一个比较强大的工具，它是以每一行为一个处理对象的，可以对一行字符串进行多种模式匹配的剪切操作，也可以对一个排列整齐的文本进行操作，下面我们就来说说cut这个命令吧：</p>
<p>cut命令主要有3个定位方法：</p>
<p>（1）对字节的定位，用 -b&nbsp;选项</p>
<p>（2）对字符的定位，用&nbsp;-c&nbsp;选项</p>
<p>( 3 ) 域，用选型&nbsp;-f</p>
<p>下面我们来看看具体的实现：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvREIvd0tpb0wxZGl0SHFTYm1qS0FBQmwwWmtMVUQwNDMwLnBuZw==.jpg" /></p>
<p>我们来一一说一下上面的现象：</p>
<p>我们先用pwd命令看一下我们的当前的路径。然后我们想提取当前路径这个字符串的第4个字节，就用上图所示的这条命令：</p>
<p>pwd&nbsp;|&nbsp;cut&nbsp;-b 4</p>
<p>我们可以看到，上图执行这个命令之后，输出了第四个字节m；</p>
<p>所以我们这里看明白了，如果我们要提取哪一个字节，直接在-b&nbsp;选项后面加上相应的数字就可以了。</p>
<p>如果我们想直接提取第3,4,5,8个字节呢？我们就可以用上图的第二条命令：</p>
<p>pwd&nbsp;|&nbsp;cut&nbsp;-b 3-5,8</p>
<p>执行这条命令后，我们可以看到，上图中输出了omex分别对应第3,4,5,8字节。</p>
<p>注意：cut命令如果使用了-b选项，那么我们在执行命令时，cut会先把-b所有的定位进行从小到大的排序，然后再提取。比如上图最后的那两条命令，我们把命令里面的 “3-5,8”换成了“8,3-5”，输出的结果是一样的。</p>
<p>我们再来看看：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREIvd0tpb0wxZGl2ZDdRVmNxUkFBQWp3ZnZ4bnpvMjY3LnBuZw==.jpg" /></p>
<p>从上图我们可以看到，-3&nbsp;和 3-&nbsp;是有区别的。-3表示从第一个字节到第三个字节，而 3- 表示从第三个字节以后的所有这行的内容。</p>
<p>下面我们在来看看下面这两个命令选项的区别：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREIvd0tpb0wxZGl3QTZ5Smp4NUFBQWtQQWM1NDNvMTI1LnBuZw==.jpg" /></p>
<p>我们目前从上图看到，这两条命令里面的“-b”“-c”选项不一样，但它们的结果一样，那么我们再来看看下面，就知道他们的不同在哪里了：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREMvd0tpb20xZGl3VWJSMlBvN0FBQW9WQ0dnbkhRMjU0LnBuZw==.jpg" /></p>
<p>在前面的图中我们可以看到，当我们要截取的都是单字节字符时，使用&nbsp;-b&nbsp;和&nbsp;-c&nbsp;就没有什么区别，但当我们提取中文的时候呢？比如上面的那幅图，我们写了个file.c文件，里面有3行汉字，我们再分别使用上面的两条命令的时候，我们就可以看到区别了：当我们用“-c”选项时，以字符为单位，输出是正常的，但“-b”是以字节为单位的，所以输出就是乱码了。所以这两条命令还是有区别的。</p>
<p>下面我们来说说“域”这个概念：</p>
<p>为什么会有“域”的提取呢？因为我们上面提到的-b和-c只能在固定格式的文档中提取信息，而对于非固定格式的信息则束手无策了，这时候，域就派上用场了。</p>
<p>我们知道，在某些文件中会有好多冒号，冒号在文件的每一行中都起到了非常重要的作用，冒号用来隔开每一个项。而我们cut命令就提供了这样的提取方式，也就是设置“间隔符”，再设置提取第几个域就行了，我们具体来看看下面的实验吧：</p>
<p>我们在终端执行如下命令，可以获得当前bash的默认路径：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREMvd0tpb20xZGl4VEhTUnQ4cUFBQVVIUkNDX1FNNzk4LnBuZw==.jpg" /></p>
<p>我们从上图可以看到，其中的每一个路径都被一个“：”分隔开来，假如我们现在想获取第一个冒号和第二个冒号之间的路径，我们就可以很方便的使用cut命令来帮我们实现，我们在终端输入如下的命令：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODIvREMvd0tpb20xZGl4dVNTcm80OUFBQXMzNGFZOHN3MDgyLnBuZw==.jpg" /></p>
<p>从上图的结果我们可以看到，我们提取出来了我们想要的第二个域的路径。我们来解释下上面的命令：-d和‘：’一起把管道输入的一行字符串进行了域的分隔，每一个分隔符（：）和前面的字符串被称为一个域。-f选项后面跟的是我们想提取的那个域。所以该命令cut&nbsp;-d&nbsp;‘：’-f 2就表示输出第二个分隔符之前的域。</p>
<p>如果我们执行下面的命令：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREIvd0tpb0wxZGl5bm5BZE1qUkFBQXptcGE2VUFnODcxLnBuZw==.jpg" /></p>
<p>输入上面两条很相近的命令，我想大家可以很清晰的看到它们的区别，第一条输出的是第二个域和第四个域，而第二条命令输出的是第二到四个域（正如我们在图中用不同颜色标注的那样）。</p>
<p>我们在来看看cut格式化整齐的文本进行的操作：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODIvREIvd0tpb0wxZGl5X0tTX21RYkFBQm9ZT0Z0ZjU4ODI4LnBuZw==.jpg" /></p>
<p>从上面我们可以看到，这时格式化比较整齐的文本的一部分，那么我们想把前面的declare&nbsp;-x去掉，我们该怎么做呢？其实做法我们上面都说过：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODIvREIvd0tpb0wxZGl6TzZpR0NMaUFBQlhBeS1zTlFnMDUyLnBuZw==.jpg" /></p>
<p>其中的“12-”表示输出从第12个字符以后的所有字符。其实和我们上面所说的对字符串的操作没有什么区别。</p>
<p>上面就是自己目前所知道的cut命令的基本用法。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 06:59:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/shell%e5%ad%97%e7%ac%a6%e4%b8%b2%e6%88%aa%e5%8f%96%e4%b9%8bcut/" title="shell字符串截取之cut">shell字符串截取之cut</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>shell字符串截取之cut的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgN6aR4.html" rel="bookmark">shell  ----  字符串截取方法归纳</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SHELL --- 字符串截取 1.按指定的字符串截取(4种) ${varible##*string}  # 从左向右截取最后一个string后的字符串   &lt;即 删除左边字符,保留右边字符&gt; ${varible#*string}   # 从左向右截取 第一个string后的字符串     &lt;即 删除左边字符,保留右边字符&gt; ${varible%%string*}  # 从右向左截取最后一个string后的字符串   &lt;即 删除右边字符,保留左边字符&gt; ${varibl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6bPYvM.html" rel="bookmark">shell字符串截取总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell中截取字符串的方法有很多中,本人对其中几种常用的进行整理总结. 0x01.grep 在文件中搜寻字符串匹配的行并输出 Linux系统中grep命令是一种强大的文本搜索工具,它能使用正则表达式搜索文本,并把匹 配的行打印出来.grep全称是Global Regular Expression Print,表示全局正则表达式版本,它的使用权限是所有用户. grep [选项][指定字串][文件] -i 不区分大小写 -v 排除指定字串 -c:只输出匹配行的计数. -n:显示匹配行及 行号. -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35zqkv4.html" rel="bookmark">Shell字符串截取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell中截取字符串的方法有很多中, ${expression}一共有9种使用方法. ${parameter:-word} ${parameter:=word} ${parameter:?word} ${parameter:+word} 上面4种可以用来进行缺省值的替换. ${#parameter} 上面这种可以获得字符串的长度. ${parameter%word} 最小限度从后面截取word ${parameter%%word} 最大限度从后面截取word ${parameter#word}			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLmVgy0.html" rel="bookmark">Linux shell字符串截取与拼接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 Linux 的字符串截取很有用.有八种方法. 假设有变量 var=http://www.hao.com/123.htm 1  # 号截取,删除左边字符,保留右边字符. echo ${var#*//} 其中 var 是变量名,# 号是运算符,*// 表示从左边开始删除第一个 // 号及左边的所有字符 即删除 http:// 结果是 :www.hao.com/123.htm . 2  ## 号截取,删除左边字符,保留右边字符. echo ${var##*/} ##*/ 表示从左边开始删除最后(最			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzRO7yM.html" rel="bookmark">Shell字符串截取（非常详细）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Shell 截取字符串通常有两种方式:从指定位置开始截取和从指定字符(子字符串)开始截取. 从指定位置开始截取 这种方式需要两个参数:除了指定起始位置,还需要截取长度,才能最终确定要截取的字符串. 既然需要指定起始位置,那么就涉及到计数方向的问题,到底是从字符串左边开始计数,还是从字符串右边开始计数.答案是 Shell 同时支持两种计数方式. 1) 从字符串左边开始计数 如果想从字符串的左边开始计数,那么截取字符串的具体格式如下: ${string: start :length} 其中,stri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyKZVV3.html" rel="bookmark">Shell 字符截取命令 Cut</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Cut 命令 # cut [选项] 文件名 选项 : -f 列号 提取第几列   -d 分隔符,按照指定分隔符分割列 2.例子 cut -f 1,4 -d &quot;:&quot; /etc/password 表示以&quot;:&quot;作为分隔符 提取第一列和第四列的数据 3.提取Linux下所有普通用户的用户名 cat /etc/passwd | grep &quot;/bin/bash&quot; | cut -f 1 -d &quot;:&quot; | grep -v root gre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQWBgM.html" rel="bookmark">Shell字符串截取&mdash;&mdash;获取oracle group名字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				业务背景,在执行oracle文件时,需要授权给相应文件,一边我们用chown -Roracle:oraclegroup xxx,不同服务器oraclegroup名字不相同,怎么样获取呢? 方法:首先,我们可以通过命令groups oracle 获取oraclegroups,格式如下: oracle : oinstall dba 怎么样获取group 名字(oinstall)? 提供如下方法1:利用awk 获取第三个字符串 oraclegroup=`groups oracle|grep -v gr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXv8gz3.html" rel="bookmark">shell下的字符串截取方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Linux shell截取字符串的前几位,例截取前8位: 方法如下:下面a=1234sterrerwrwretw 1.expr substr &quot;$a&quot; 1 8 2.echo $a|cut -c1-8 3..echo $a|dd bs=1 count=8 二.按指定字符串截取 1.第一种方法: 1&gt; ${val##*string} (双#*截取) 从左向右截取最后一个string后的字符串 例:a=123stringrwtw134string456 2&gt;${varible			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyQnvpM.html" rel="bookmark">shell中截取字符串的方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell中截取字符串的方法有很多种, ${expression}一共有9种使用方法. ${parameter:-word} ${parameter:=word} ${parameter:?word} ${parameter:+word} 上面4种可以用来进行缺省值的替换. ${#parameter} 上面这种可以获得字符串的长度. ${parameter%word} 最小限度从后面截取word ${parameter%%word} 最大限度从后面截取word ${parameter#word}			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoYNn3.html" rel="bookmark" class="title">在GlassFish应用服务器上创建并运行你的第一个Restful Web Service【翻译】</a>
					<div>
						前言 本人一直开发Android应用,目前Android就业形势恶劣,甚至会一路下滑,因此决定学习服务器开发.采用的语言是java,IDE是Intellij,在下载Intellij的同时看到官网很多优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02XmE4.html" rel="bookmark" class="title">HDOJ 4474 Yet Another Multiple Problem</a>
					<div>
						BFS..... Yet Another Multiple Problem Time Limit: 40000/20000 MS (Java/Others)    Memory Limit: 6553 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KnZKM.html" rel="bookmark" class="title">GitBash、EGit、SourceTree三个Git管理工具对比</a>
					<div>
						Git管理工具对比(GitBash.EGit.SourceTree) GitBash是采用命令行的方式对版本进行管理,功能最为灵活强大,但是由于需要手动输入希望修改的文件名,所以相对繁琐. EGit是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNVpa3.html" rel="bookmark" class="title">Play Framework Web开发教程&lpar;19&rpar;&colon; 任务&ndash;启动一些进程</a>
					<div>
						有些时候,一个Web应用有需要在正常的请求-响应周期之外执行一些代码,比如一些常时间运行的后台任务,或者也是在请求-响应周期中执行,但无需用户交互.比如我们回到之前的产品分类的例子,我们需要跟踪订单是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41g8rk0.html" rel="bookmark" class="title">&lbrack;笔记&rsqb;Boosting和Bagging</a>
					<div>
						集成学习(ensemble learning)通过构建并结合多个学习器来完成学习任务.集成学习通过将多个学习器进行结合,常可以获得比单一学习器显著优越的泛化性能.这对&quot;弱学习器&quot;尤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdEpGM.html" rel="bookmark" class="title">redis常见性能问题和解决方案&quest;</a>
					<div>
						Master写内存快照,save命令调度rdbSave函数,会阻塞主线程的工作,当快照比较大时对性能影响是非常大的,会间断性暂停服务,所以Master最好不要写内存快照. Master AOF持久化, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qqb7l4.html" rel="bookmark" class="title">Centos 7 Yum安装Mysql</a>
					<div>
						1.下载mysql安装源并安装 wget http://repo.mysql.com/mysql-community-release-el7-5.noarch.rpm 2.检查可安装mysql软件包  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZ55B4.html" rel="bookmark" class="title">mysql触发器不支持动态sql</a>
					<div>
						drop trigger if exists tri_* DELIMITER // create trigger tri_* before update on pointtable for each  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leWyL3.html" rel="bookmark" class="title">用samba和Microsoft Sync Toy从linux备份日志文件到windows</a>
					<div>
						利用samba使linux系统日志备份到windows系统,以便查看与分析. 一.linux作为服务器, 1.vi  /etc/samba/smb.conf 在文件结尾添加如下行:[share]com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGAeYZ3.html" rel="bookmark" class="title">导航条&mdash;&mdash;flash导航条</a>
					<div>
						1.概述 在一些个性网站中,网站导航的首选就是flash导航条,flash导航条可以给浏览者带来更好的视觉效果,是网站个性的主要体现之一. 2.技术要点 主要应用Flash动作脚本中的Button类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBVm10.html" rel="bookmark" class="title">程序的调试（堆栈的使用）</a>
					<div>
						换新工作一个月,以前是做自动化测试的,对于代码的编译,调试一直都是停留在数据的输出,显示等层面的调试,从来没有考虑到更深的一层.汗颜. 正如领导所说.对于任何一个成熟的框架来说,都会有相应的log输出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDjbWo3.html" rel="bookmark" class="title">最新VIN&lpar;车辆识别码&rpar;解析</a>
					<div>
						详情链接:http://www.haoservice.com/apilist/ 通过该接口vin即可查询车辆识别码对应的相关信息,厂商直连.车辆识别码车辆解析 支持格式: JSON/XML 请求方式: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRRnx4.html" rel="bookmark" class="title">android 百度地图 在打包签名后key验证失败的解决方案</a>
					<div>
						在开发的过程中我们或许碰到过这样的问题,百度地图开发调试的应用程序正常,打包后显示授权key失败 这是由于调试生成的应用程序使用的是eclipse默认的SHA1的值 我们需要使用自己创建的数字签名来解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQ9xb0.html" rel="bookmark" class="title">&lbrack;詹兴致矩阵论习题参考解答&rsqb;习题3&period;4</a>
					<div>
						4. 设 $x,y,u\in\bbR^n$ 的分量都是递减的. 证明: (1). 若 $x\prec y$ 则 $\sef{x,u}\leq \sef{y,u}$. (2). 若 $x\prec_w  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXrD74.html" rel="bookmark" class="title">2017&period;4&period;17下午</a>
					<div>
						组建Vista家庭局域网 1.使用Manage Virtual Networks,将原有多余的功能如dhcp等等全关闭了(总之,你看到什么能关就关什么,但是,不要删除网卡),并另建一个网卡&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm7g6V3.html" rel="bookmark" class="title">struts2 常用 constant 总结</a>
					<div>
						废话不说,直接看注释:     &lt;!-- 动态方法调用支持 默认值为true 设置为false将不支持 --&gt; &lt;constant name=&quot;struts.enable. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2RKXM.html" rel="bookmark" class="title">使用EF 4&period;1的DbContext</a>
					<div>
						DbContext简单用法 使用DbContext构造函数 1. Code First约定连接 namespace Magic.Unicorn{    public class UnicornsCon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGY8Ay3.html" rel="bookmark" class="title">安装erlang</a>
					<div>
						       系统环境:CentOS 7 下载源码 我用的版本是18.3 安装依赖库 yum install build-essential m4 openssl openssl-devel unix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWljGk0.html" rel="bookmark" class="title">docker（14）：centos7 安装docker hub harbor，可视化registry</a>
					<div>
						1,Harbor 容器应用的开发和运行离不开可靠的镜像管理.从安全和效率等方面考虑,部署在私有环境内的Registry是非常必要的.Project Harbor是由VMware公司中国团队为企业用户设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyA5geM.html" rel="bookmark" class="title">php count函数</a>
					<div>
						最近被问到一个函数count 1.count(&quot;123456&quot;) 对应的输出是什么? 2.count(null) 对应的输出是什么? 以前没有认真的考虑,只是心里有一个印象那就是c ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
